GroovyParser.ClassDeclarationContext (Groovy 5.0.6)
Description: declaration: package: org.apache.groovy.parser.antlr4, class: GroovyParser, class: ClassDeclarationContext

Package org.apache.groovy.parser.antlr4

# Class GroovyParser.ClassDeclarationContext

java.lang.Object
org.antlr.v4.runtime.RuleContext
org.antlr.v4.runtime.ParserRuleContext
org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext
org.apache.groovy.parser.antlr4.GroovyParser.ClassDeclarationContext

All Implemented Interfaces:
  `org.antlr.v4.runtime.tree.ParseTree`, `org.antlr.v4.runtime.tree.RuleNode`, `org.antlr.v4.runtime.tree.SyntaxTree`, `org.antlr.v4.runtime.tree.Tree`, `NodeMetaDataHandler`

Enclosing class:
  GroovyParser

public static class GroovyParser.ClassDeclarationContext extends GroovyParser.GroovyParserRuleContext

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `GroovyParser.TypeListContext`
  `is`
  `GroovyParser.TypeListContext`
  `ps`
  `GroovyParser.TypeListContext`
  `scs`
  `int`
  `t`

  ### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

  `children, exception, start, stop`

  ### Fields inherited from class org.antlr.v4.runtime.RuleContext

  `invokingState, parent`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassDeclarationContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<Result> Result`
  `accept(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends Result> visitor)`
  `org.antlr.v4.runtime.tree.TerminalNode`
  `AT()`
  `org.antlr.v4.runtime.tree.TerminalNode`
  `CLASS()`
  `GroovyParser.ClassBodyContext`
  `classBody()`
  `org.antlr.v4.runtime.tree.TerminalNode`
  `ENUM()`
  `org.antlr.v4.runtime.tree.TerminalNode`
  `EXTENDS()`
  `GroovyParser.FormalParametersContext`
  `formalParameters()`
  `int`
  `getRuleIndex()`
  `GroovyParser.IdentifierContext`
  `identifier()`
  `org.antlr.v4.runtime.tree.TerminalNode`
  `IMPLEMENTS()`
  `org.antlr.v4.runtime.tree.TerminalNode`
  `INTERFACE()`
  `List<? extends GroovyParser.NlsContext>`
  `nls()`
  `GroovyParser.NlsContext`
  `nls(int i)`
  `org.antlr.v4.runtime.tree.TerminalNode`
  `PERMITS()`
  `org.antlr.v4.runtime.tree.TerminalNode`
  `RECORD()`
  `org.antlr.v4.runtime.tree.TerminalNode`
  `TRAIT()`
  `List<? extends GroovyParser.TypeListContext>`
  `typeList()`
  `GroovyParser.TypeListContext`
  `typeList(int i)`
  `GroovyParser.TypeParametersContext`
  `typeParameters()`

  ### Methods inherited from class org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext

  `getMetaDataMap, setMetaDataMap`

  ### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

  `addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, emptyContext, enterRule, exitRule, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

  ### Methods inherited from class org.antlr.v4.runtime.RuleContext

  `depth, getAltNumber, getChildContext, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, newMetaDataMap, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- ## Field Details

  - ### t

    public int t

  - ### scs

    public GroovyParser.TypeListContext scs

  - ### is

    public GroovyParser.TypeListContext is

  - ### ps

    public GroovyParser.TypeListContext ps

- ## Constructor Details

  - ### ClassDeclarationContext

    public ClassDeclarationContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)

- ## Method Details

  - ### identifier

    public GroovyParser.IdentifierContext identifier()

  - ### nls

    public List<? extends GroovyParser.NlsContext> nls()

  - ### nls

    public GroovyParser.NlsContext nls(int i)

  - ### classBody

    public GroovyParser.ClassBodyContext classBody()

  - ### CLASS

    public org.antlr.v4.runtime.tree.TerminalNode CLASS()

  - ### INTERFACE

    public org.antlr.v4.runtime.tree.TerminalNode INTERFACE()

  - ### ENUM

    public org.antlr.v4.runtime.tree.TerminalNode ENUM()

  - ### AT

    public org.antlr.v4.runtime.tree.TerminalNode AT()

  - ### TRAIT

    public org.antlr.v4.runtime.tree.TerminalNode TRAIT()

  - ### RECORD

    public org.antlr.v4.runtime.tree.TerminalNode RECORD()

  - ### typeParameters

    public GroovyParser.TypeParametersContext typeParameters()

  - ### formalParameters

    public GroovyParser.FormalParametersContext formalParameters()

  - ### EXTENDS

    public org.antlr.v4.runtime.tree.TerminalNode EXTENDS()

  - ### IMPLEMENTS

    public org.antlr.v4.runtime.tree.TerminalNode IMPLEMENTS()

  - ### PERMITS

    public org.antlr.v4.runtime.tree.TerminalNode PERMITS()

  - ### typeList

    public List<? extends GroovyParser.TypeListContext> typeList()

  - ### typeList

    public GroovyParser.TypeListContext typeList(int i)

  - ### getRuleIndex

    public int getRuleIndex()
    Overrides:
      `getRuleIndex` in class `org.antlr.v4.runtime.RuleContext`

  - ### accept

    public <Result> Result accept(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends Result> visitor)
    Specified by:
      `accept` in interface `org.antlr.v4.runtime.tree.ParseTree`
    Overrides:
      `accept` in class `org.antlr.v4.runtime.RuleContext`